Bug 826318 - GWT resources cached erroneously
GWT resources cached erroneously
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity high
: ---
: 1.6.1
Assigned To: Runa Bhattacharjee
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 22:04 EDT by Joyce Chang
Modified: 2013-03-03 22:19 EST (History)
4 users (show)

See Also:
Fixed In Version: 1.6.1-SNAPSHOT (20120620-0001
Doc Type: Bug Fix
Doc Text:
Cause Zanata's GWT resources had no cache headers, which meant that browsers could choose to cache items which should not be cached Consequence Random editor problems (mainly on testing machines which redeploy more often than production) Fix Cacheable and non-cacheable GWT resources now have the cache headers recommended in the GWT documentation. Result Once the resources with the correct cache header have been loaded by the browser, it should avoid the random editor problems in future. Users will still need to force a browser refresh (or clear cache) if they have old data cached with the old headers.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 01:27:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joyce Chang 2012-05-29 22:04:59 EDT
Description of problem:
When using Ctrl+enter to move to next entry under Chrome,it will not work unless the page is refreshed.   

Version-Release number of selected component (if applicable):
1.6.0-beta-2-SNAPSHOT 


How reproducible:
always

Steps to Reproduce:
step 1: visit a document using Chrome
step 2: try to move down by hitting Ctrl+enter(won't work here)
step 3: refresh page
step 4: hit Ctrl+enter again(now it would work like charm!!!!)
  
Actual results:
progressed as steps mentioned 

Expected results:
progressed as steps mentioned 

Additional info:
firefox works properly
Comment 1 Sean Flanigan 2012-05-30 00:28:41 EDT
This appears to be a caching issue, exacerbated by the frequent deployments to our test machines.  Refreshing the page appears to solve the problem until the next deployment.

I should have a servlet filter to fix the cache headers soon, but it won't be happening until after 1.6.  In the meantime, F5 is the workaround.
Comment 3 Ding-Yi Chen 2012-06-19 22:30:02 EDT
VERIFY with Zanata version 1.6.1-SNAPSHOT (20120620-0001)

Tested with 
Firefox 10.0.5
Google Chrome 15.0.874.121
Comment 4 Sean Flanigan 2012-06-27 02:40:53 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
  Zanata's GWT resources had no cache headers, which meant that browsers could choose to cache items which should not be cached

Consequence
  Random editor problems (mainly on testing machines which redeploy more often than production)

Fix
  Cacheable and non-cacheable GWT resources now have the cache headers recommended in the GWT documentation.

Result
  Once the resources with the correct cache header have been loaded by the browser, it should avoid the random editor problems in future.  Users will still need to force a browser refresh (or clear cache) if they have old data cached with the old headers.

Note You need to log in before you can comment on or make changes to this bug.